package com.ruoyi.system.domain.vo;

import java.util.List;

/**
 * 收益模型
 *
 *
 */
public class RevenueModelVo {
    public String annualPreTaxProfit;
    public String annualAfterTaxProfit;
    public String payBackPeriod;
    public String irr;
    public String npv;
    private List<YearlyDataVo> yearlyDataVoList;

//        {
//        "annualPreTaxProfit":"350",
//        "annualAfterTaxProfit":"25555",
//        "payBackPeriod":"1.2",
//        "irr":"80000",
//        "npv":"1",
//        "yearlyDataVoList":{
//            "yeat":"第一年",
//            "cumulativeProfit":"500",
//            "cumulativeInvestment":"700"
//        }
//    }


    public String getAnnualPreTaxProfit() {
        return annualPreTaxProfit;
    }

    public void setAnnualPreTaxProfit(String annualPreTaxProfit) {
        this.annualPreTaxProfit = annualPreTaxProfit;
    }

    public String getAnnualAfterTaxProfit() {
        return annualAfterTaxProfit;
    }

    public void setAnnualAfterTaxProfit(String annualAfterTaxProfit) {
        this.annualAfterTaxProfit = annualAfterTaxProfit;
    }

    public String getPayBackPeriod() {
        return payBackPeriod;
    }

    public void setPayBackPeriod(String payBackPeriod) {
        this.payBackPeriod = payBackPeriod;
    }

    public String getIrr() {
        return irr;
    }

    public void setIrr(String irr) {
        this.irr = irr;
    }

    public String getNpv() {
        return npv;
    }

    public void setNpv(String npv) {
        this.npv = npv;
    }

    public List<YearlyDataVo> getYearlyDataVoList() {
        return yearlyDataVoList;
    }

    public void setYearlyDataVoList(List<YearlyDataVo> yearlyDataVoList) {
        this.yearlyDataVoList = yearlyDataVoList;
    }
}
